package net.northking.cctp.executePlan.dto.planInfo;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.executePlan.db.entity.AtuPlanAppLink;
import net.northking.cctp.executePlan.db.entity.AtuPlanDeviceLink;

import java.util.List;

public class AtuPlanInfoAppAndDeviceDto {

    @ApiModelProperty("勾选应用集合")
    private List<AtuPlanAppLink> appList;

    @ApiModelProperty("选择PC设备集合")
    private List<AtuPlanDeviceLink> pcDeviceList;

    @ApiModelProperty("选择移动设备集合")
    private List<AtuPlanDeviceLink> mobDeviceList;

    public List<AtuPlanAppLink> getAppList() {
        return appList;
    }

    public void setAppList(List<AtuPlanAppLink> appList) {
        this.appList = appList;
    }

    public List<AtuPlanDeviceLink> getPcDeviceList() {
        return pcDeviceList;
    }

    public void setPcDeviceList(List<AtuPlanDeviceLink> pcDeviceList) {
        this.pcDeviceList = pcDeviceList;
    }

    public List<AtuPlanDeviceLink> getMobDeviceList() {
        return mobDeviceList;
    }

    public void setMobDeviceList(List<AtuPlanDeviceLink> mobDeviceList) {
        this.mobDeviceList = mobDeviceList;
    }
}
